Summary: A fast, compact editor based on the slang screen library.
Name: jed
Version: B0.99.9
Release: 3
Copyright: GPL
Group: Applications/Editors
Source: ftp://space.mit.edu/pub/davis/jed/v0.99/jed-B0.99-9.tar.gz
Patch0: jed-B0.99-9.Makefile.patch
Requires: jed-common = %{version}
BuildRoot: /var/tmp/jed-root
Packager: Charl P. Botha <cpbotha@ieee.org>

%description
Jed is a fast, compact editor based on the slang screen library.  Jed
features include emulation of the Emacs, EDT, WordStar and Brief editors;
support for extensive customization with slang macros, colors,
keybindings, etc.; and a variety of programming modes with syntax
highlighting.

You should install jed if you've used it before and you like it, or if you
haven't used any text editors before and you're still deciding what you'd
like to use.  You'll also need to have slang installed.

%package common
Summary: Files needed by any Jed editor.
Group: Applications/Editors
%description common
The jed-common package contains files (such as .sl files) that are
needed by any jed binary in order to run.

%package xjed
Requires: jed-common = %{version}
Summary: The X Window System version of the Jed text editor.
Group: Applications/Editors

%description xjed
Xjed is a version of the Jed text editor that will work with the X Window
System.
  
You should install xjed if you like Jed and you'd like to use it with X.
You'll also need to have the X Window System installed.

%package -n rgrep
Summary: A grep utility which can recursively descend through directories.
Group: Applications/Text

%description -n rgrep
The rgrep utility can recursively descend through directories as
it greps for the specified pattern.  Note that this ability does
take a toll on rgrep's performance, which is somewhat slow.  Rgrep
will also highlight the matching expression.

Install the rgrep package if you need a recursive grep which can
highlight the matching expression.

%prep
%setup -q -n jed-B0.99-9
%patch0 -p1
%build
CFLAGS="-DMEMCPY=SLmemcpy -DMEMSET=SLmemset -DMEMCHR=SLmemchr $RPM_OPT_FLAGS" ./configure --prefix=/usr
make all
make xjed

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
make install prefix=$RPM_BUILD_ROOT/usr JED_ROOT=$RPM_BUILD_ROOT/usr/lib/jed/
mv $RPM_BUILD_ROOT/usr/bin/xjed $RPM_BUILD_ROOT/usr/X11R6/bin/

JED_ROOT=$RPM_BUILD_ROOT/usr/lib/jed $RPM_BUILD_ROOT/usr/bin/jed -batch -n -l preparse.sl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/jed

%files common
%defattr(-,root,root)
%doc COPYING COPYRIGHT doc info INSTALL INSTALL.unx README changes.txt 
/usr/man/man1/jed.1
/usr/lib/jed/bin
/usr/lib/jed/lib

%files xjed
%defattr(-,root,root)
/usr/X11R6/bin/xjed

%files -n rgrep
%defattr(-,root,root)
/usr/bin/rgrep
/usr/man/man1/rgrep.1

%changelog
* Sun Sep 26 1999 Charl Botha <cpbotha@ieee.org>
- fixed up duplication of doc files
- moved info dir to /usr/doc/jed-*/

* Fri Sep 24 1999 Charl Botha <cpbotha@ieee.org>
- changed to use more of John's make install and rebuilt

* Thu Sep 23 1999 Charl Botha <cpbotha@ieee.org>
- rebuild for jed B0.99.9

* Wed Jul 14 1999 Charl Botha <cpbotha@ieee.org>
- rebuild for jed B0.99-8

* Sun Jul 4 1999 Charl Botha <cpbotha@ieee.org>
- modified for jed B0.99-7 from Redhat 6.0 spec

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- update to 0.98.7 for Raw Hide
- split off lib stuff into jed-common

* Mon Oct  5 1998 Jeff Johnson <jbj@redhat.com>
- change rgep group tag, same as grep.

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- added wmconfig entry for xjed

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated to 0.98.4
- included man pages in file lists

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
